@charset "utf-8";



/*全端末（PC・タブレット・スマホ）共通設定
------------------------------------------------------------------------------------------------------------------------------------------------------*/

/*全体の設定
---------------------------------------------------------------------------*/
html,body {height: 100%;}
body {
  margin: 0px;
  padding: 0px;
  color: #333;  /*全体の文字色*/
  font-family:"ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "メイリオ", Meiryo, Osaka, "ＭＳ Ｐゴシック", "MS PGothic", sans-serif;  /*フォント種類*/
  font-size: 16px;  /*文字サイズ*/
  line-height: 1.4;    /*行間*/
  background: #fff;  /*背景色*/
  -webkit-text-size-adjust: none;
}
h1,h2,h3,h4,h5,p,ul,ol,li,dl,dt,dd,form,figure,form {margin: 0px;padding: 0px;font-size: 100%;font-weight: normal;}
ul {list-style-type: none;}
ol {padding-left: 40px;padding-bottom: 15px;}
img {border: none;max-width: 100%;height: auto;vertical-align: middle;}
table {border-collapse:collapse;font-size: 100%;border-spacing: 0;}
iframe {width: 100%;}

@keyframes opa1 {
0% {opacity: 0;}
100% {opacity: 1;}
}

/*リンク（全般）設定
---------------------------------------------------------------------------*/
a {
  color: #333;    /*リンクテキストの色*/
  transition: 0.5s;  /*マウスオン時の移り変わるまでの時間設定。0.5秒。*/
}
a:hover {
  color: #ff4765;      /*マウスオン時の文字色*/
  text-decoration: none;  /*マウスオン時に下線を消す設定。残したいならこの１行削除。*/
}

/*ヘッダー（一番上の、ロゴやメニューが入っているブロック）
---------------------------------------------------------------------------*/
header {
  height: 100%;
  overflow: auto;
  position: relative;
  background: url(../images/mainimg.jpg) no-repeat center center / cover;  /*背景画像の読み込み*/
}
/*ロゴ画像*/
header #logo a {
  display: block;
  width: 20%;  /*画像の幅*/
  position: absolute;
  left: 40%;    /*ロゴやメニューが入っているブロックに対して、左からの配置場所の指定。*/
  bottom: 30%;  /*ロゴやメニューが入っているブロックに対して、下からの配置場所の指定。*/
  text-align: center;
  text-decoration: none;
}

.eachTextAnime span{opacity: 0;}
.eachTextAnime.appeartext span{ animation:text_anime_on 1s ease-out forwards; }
@keyframes text_anime_on {
  0% {opacity:0;}
  100% {opacity:1;}
}

  .panel{
    display:block !important;
  }

#mainnav{
  position:fixed;
  top: 0;
  width:100%;
  z-index:500;
  background: rgba(255,255,255,.9);
}

#mainnav ul{
  text-align: right;
  padding-right: 30px;
}

#mainnav li{
  display: inline-block;
  padding: 45px 0px 20px;
  font-size: clamp(1vw, 20px, 3.6vw);
  font-weight: 300;
  font-family: 'Ubuntu', sans-serif;
}

#mainnav .panel a {
  position: relative;
  display: inline-block;
  min-width: 3.6em;
  padding: 0 0.8em;
  color: #333;
  text-align: center;
  text-decoration: none;
  transition: .3s;
}
#mainnav .panel a:hover {
  color: #fff;
}

#mainnav .panel a {
  overflow: hidden;
}
#mainnav .panel a::before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  content: '';
  width: 120%;
  height: 100%;
  background: #443DD5;
  transform-origin: right top;
  transform: skewX(-30deg) scale(0, 1);
  transition: transform .3s;
}
#mainnav .panel a:hover::before {
  transform-origin: left top;
  transform: skewX(-30deg) scale(1, 1);
}

#mainnav.changeNav{
  background: rgba(255,255,255,.9);
  border-bottom: 1px solid #d1d1d1;
}

#mainnav.changeNav li{
  padding: 15px 0px;
}


/*コンテナー（headerとfooterをのぞくブロックを囲むブロック）
---------------------------------------------------------------------------*/
#container {
  max-width: 1400px;  /*最大幅。これ以上広くならない指定。*/
  margin: 0 auto;
  font-size: 18px;
}

/*コンテンツ（上のcontainerの中のブロック）
---------------------------------------------------------------------------*/
section {
  overflow: hidden;
  padding: 105px 3% 50px;
  background-color: rgba(255,255,255,.4);
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-right-color: rgba(255, 255, 255, 0.2);
  border-bottom-color: rgba(255, 255, 255, 0.2);
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  /*border-radius: 15px;
  box-shadow: 0 5px 20px rgb(128 128 128 / 50%);*/
}
/*コンテンツ内にあるh2(見出し)タグの指定*/
#container h2 {
  margin-bottom: 20px;
  text-align: center;    /*文字をセンタリング*/
  font-family: 'Ubuntu', sans-serif;
  font-size: 120px;
}
.Text-Span {
  position: relative;
  z-index: 1;
}
.Text-Span:after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0px;
  width: 0%;
  height: 1px;
  background: #999;
  z-index: -1;
  transition: all 0.8s;
}
.Text-Span.isActive:after {
  width: 100%;
}
/*コンテンツ内にあるh3(見出し)タグの指定*/
#container h3 {
  margin: 5px 0;
  font-size: 18px;    /*文字サイズ*/
}

/*Serviceセクション
---------------------------------------------------------------------------*/

.fadeIn_up {
  opacity: 0;
  transform: translate(0, 20px);
  transition: 2s;
}
.fadeIn_up.is-show {
  transform: translate(0, 0);
  opacity: 1;
}
.fadeIn_left {
  opacity: 0;
  transform: translate(-50%, 0);
  transition: 2s;
}
.fadeIn_left.is-show {
  transform: translate(0, 0);
  opacity: 1;
}
.fadeIn_right {
  opacity: 0;
  transform: translate(50%, 0);
  transition: 2s;
}
.fadeIn_right.is-show {
  transform: translate(0, 0);
  opacity: 1;
}

#services h3 {
  font-family: 'Ubuntu', sans-serif;
  font-size: 100px;
}
#services div {
  margin-bottom: 80px;;
}
#services .pc {
  display: inherit;
}
#services .sp {
  display: none;
}


/*Worksセクション
---------------------------------------------------------------------------*/
#works {
  margin-top: 400px;
  padding: 105px 10% 50px;
}
#works h3 {
  padding: 10px 20px;
  background: #c4fdf6;
  border-radius: 10px;
  display: inline-block;
}

#works_content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}
#works_content div {
  width: 32%;
  margin: 0 0 20px 0;
}

#works h4 {
  font-weight: bold;
  margin-bottom: 10px;
  padding-bottom: 2px;
  padding-right: 5px;
  display: inline-block;
  border-bottom: solid 2px #7eb3dc;
}

#works p {
  margin: 15px auto;
}
#works p a {
  display: block;
  color: #ffffff;
  font-size: 20px;
  font-weight: bold;
  line-height: 1.2;
  text-decoration: none;
  text-align: center;
  padding: 1.3em .5em;
  background: rgba(0, 0, 0, 0.2);
  border: 1px solid transparent;
  border-radius: 6px;
  box-sizing: border-box;
  max-width: 360px;
  margin: 0 auto;
  position: relative;
}
#works p a span {
  position: relative;
  display: block;
  transform: translate(-3px, -3px);
  transition: 0.3s;
  z-index: +1;
}
#works p a:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  margin: auto;
  width: 100%;
  height: 100%;
  background: #443dd5;
  border-radius: 6px;
  box-sizing: border-box;
  transform: translate(-3px, -3px);
  transition: 0.3s;
}
#works p a:hover span {
  transform: translate(0, 0);
}
#works p a:hover:after {
  transform: translate(0, 0);
}

/*CoProセクション
---------------------------------------------------------------------------*/
#copro {
  margin-top: 400px;
  padding: 105px 20% 50px;
}
#copro div {
  margin-top: 20px;
}

#copro dl {
  display: flex;
  flex-wrap: wrap;
  margin: 50px auto 0;
}
#copro dt {
  width: 25%;
  margin-left: 15%;
  border-right: solid 2px #443dd5;
  box-sizing: border-box;
}
#copro dd {
  width: 50%;
  margin-left: 10%;
  margin-bottom: 20px;
}
#copro dd:last-child {
  margin-bottom: 0;
}
#copro li {
  list-style: disc inside;
}
#copro p {
  margin: 15px auto 0;
}
/*Contactセクション
---------------------------------------------------------------------------*/
#contact {
  margin-top: 400px;
  margin-bottom: 50px;
  padding: 105px 10% 50px;
}
table.formTable{
  width:100%;
  margin:15px auto;
  border-collapse:collapse;
}
table.formTable td,table.formTable th{
  border:1px solid #ccc;
  padding:10px;
}
table.formTable th{
  width:30%;
  font-weight:normal;
  background:#efefef;
  text-align:left;
}
table.formTable th span{
  color:#c00;
}
table.formTable select{
  font-size:100%;
  width:100%;
  padding: 3px;
}
table.formTable input{
  font-size:100%;
  width:98%;
  padding: 3px;
}
table.formTable textarea{
  font-size:99%;
  width:98%;
  padding: 3px;
}


#contact input[type="submit"], #contact input[type="reset"], #contact input[type="button"] {
  width:20%;
  height:40px;
}


#backhome a {
  position: relative;
  padding: 0.1em 0.3em;
  display: inline-block;
  transition: .3s;
  text-decoration: none;
}
#backhome a:after {
  position: absolute;
  bottom: 0;
  left: 50%;
  content: '';
  width: 0;
  height: 1px;
  background-color: #ff4765;
  transition: .3s;
  transform: translateX(-50%);
}
#backhome a:hover {
  color: #ff4765;
}
#backhome a:hover::after {
  width: 100%;
}
/*　簡易版レスポンシブ用CSS(必要最低限のみとしています。ブレークポイントも含め自由に設定下さい)　*/
@media screen and (max-width:572px) {
table.formTable th, table.formTable td {
  width:auto;
  display:block;
}
table.formTable th {
  margin-top:5px;
  border-bottom:0;
}
table.formTable select, input[type="text"], textarea {
  width:80%;
  padding:5px;
  font-size:110%;
  display:block;
}
#contact input[type="submit"], #contact input[type="reset"], #contact input[type="button"] {
  display:block;
  width:100%;
  height:40px;
}
#contact input[type="button"] {
  margin-top: 20px;
}
}



/*フッター設定
---------------------------------------------------------------------------*/
footer {
  clear: both;
  text-align: center;
  background: #222;  /*背景色*/
  color: #fff;    /*文字色*/
  font-size: 85%;    /*文字サイズ*/
}

/*PAGE TOP（↑）設定
---------------------------------------------------------------------------*/
body .nav-fix-pos-pagetop a {
  display: none;
}
body.is-fixed-pagetop .nav-fix-pos-pagetop a {
  display: block;text-decoration: none;text-align: center;position: fixed;animation-name: opa1;animation-duration: 1s;animation-fill-mode: forwards;
  width: 60px;    /*ボタンの幅*/
  line-height: 60px;  /*ボタンの高さ*/
  bottom: 50px;    /*画面の下からの配置場所指定*/
  right: 3%;      /*画面の右からの配置場所指定*/
  background: #555;  /*背景色（古いブラウザ用）*/
  background: rgba(0,0,0,0.5);  /*背景色。0,0,0は黒の事で、0.5は色が50%出た状態の事。*/
  color: #fff;    /*文字色*/
  border-radius: 50%;  /*円形にする指定。この１行を削除すると正方形になります。*/
}
body.is-fixed-pagetop .nav-fix-pos-pagetop a:hover {
  background: #999;  /*マウスオン時の背景色*/
}


/*画面幅800px以下の設定
------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media screen and (max-width:800px){

/*ヘッダー（一番上の、ロゴやメニューが入っているブロック）
---------------------------------------------------------------------------*/
/*ロゴ画像*/
header #logo a {
  display: block;
  width: 60%;  /*画像の幅*/
  position: absolute;
  left: 20%;    /*ロゴやメニューが入っているブロックに対して、左からの配置場所の指定。*/
  bottom: 40%;  /*ロゴやメニューが入っているブロックに対して、下からの配置場所の指定。*/
  text-align: center;
  text-decoration: none;
}
header #logo img {
  width: 50%;  /*画像の幅*/
  left: 25%;  /*ロゴやメニューが入っているブロックに対して、左からの配置場所の指定。*/
}

#container h2 {
  font-size: 80px;
}

#works {
  margin-top: 400px;
  padding: 105px 15% 50px;
}
#works_content div {
  width: 100%;
  margin: 0 0 10px 0;
}

#copro {
  margin-top: 400px;
  padding: 105px 3% 50px;
}
#copro dt {
  margin-left: 5%;
}
#copro dd {
  width: 60%;
}
#contact {
  margin-top: 400px;
  padding: 105px 3% 50px;
  text-align: left;
}
}


/*画面幅480px以下の設定
------------------------------------------------------------------------------------------------------------------------------------------------------*/
@media screen and (max-width:480px){

/*ヘッダー（一番上の、ロゴやメニューが入っているブロック）
---------------------------------------------------------------------------*/
/*ロゴ画像*/
#mainnav ul {
  padding-right: 10px;
}
#mainnav li {
  padding: 20px 0 10px;
}
/*コンテナー（headerとfooterをのぞくブロックを囲むブロック）
---------------------------------------------------------------------------*/
#container {
  font-size: 100%;
}

/*コンテンツ（上のcontainerの中のブロック）
---------------------------------------------------------------------------*/
/*コンテンツ内にあるh2(見出し)タグの指定*/
#container h2 {
  font-size: 60px;  /*文字サイズ*/
}
/*コンテンツ内にあるh3(見出し)タグの指定*/
#container h3 {
  font-size: 14px;  /*文字サイズ*/
}

/*Serviceセクション
---------------------------------------------------------------------------*/
#services .pc {
  display: none;
}
#services .sp {
  display: inherit;
}
#services h3 {
  font-family: 'Ubuntu', sans-serif;
  font-size: 40px;
  text-align: center;
  line-height: 1;
}
#services_03sp h3, #services_04sp h3, #services_05sp h3 {
  font-size: 1.7rem;
  font-weight: bold;
}

#works {
  width: 94%;
  margin-top: 150px;
  padding: 50px 3%;
}
#works div {
  margin-top: 15px;
}

#copro {
  width: 94%;
  margin-top: 150px;
  padding: 50px 3%;
}
#copro dt {
  margin-left: 0%;
}
#copro dd {
  width: 65%;
}

#contact {
  width: 94%;
  margin-top: 150px;
  padding: 50px 3%;
}
/*companyページ
---------------------------------------------------------------------------*/
#company h2 {
  width: 90%;
  margin: auto;
}
#company dt {
  width: 25%;
  margin-left: 5%;
  border-right: solid 2px #443dd5;
  box-sizing: border-box;
}
#company dd {
  width: 65%;
  margin-left: 5%;
  margin-bottom: 20px;
}

#company_contact p {
  text-align: left;
}
